/**
 * Returns a random float number between `min` and `max` (inclusive).
 *
 * Throws an `Error` exception if:
 * - either `min` or `max` is not a `number`.
 * - the minimum value is bigger than the maximum.
 */
export declare function getRandomFloat(min: number, max: number): number;
/**
 * Returns a random integer number between `min` and `max` (inclusive).
 *
 * Throws an `Error` exception if:
 * - `min` or `max` isn't an integer.
 * - the minimum value is bigger than the maximum.
 */
export declare function getRandomInt(min: number, max: number): number;
/**
 * Returns several different random integers, in the range between `min` and `max` (inclusive).
 *
 * Throws an Error exception if:
 * - `min`, `max` or `howMany` isn't an integer.
 * - the minimum value is bigger than the maximum.
 * - the range is less than the number of integers required.
 */
export declare function getSeveralRandomInts(min: number, max: number, howMany: number): number[];
/**
 * Returns the number of digits in a number.
 * It doesn't consider the minus signal, nor the dot (in floats) as a digit.
 *
 * Throws an `Error` exception if:
 * - the argument is not a number.
 */
export declare function numberOfDigits(theNumber: number): number;
/**
 * Rounds a number to a specified decimal case.
 *
 * Throws an `Error` exception if:
 * - `num` isn't a number.
 * - `dec` isn't an integer.
 * - `dec` is less than 0.
 */
export declare function round(num: number, dec: number): number;
