"use strict";function isArray(t){return"[object Array]"===Object.prototype.toString.call(t)}function isBoolean(t){return!0===t||!1===t||"[object Boolean]"===Object.prototype.toString.call(t)}function isFunction(t){return"function"==typeof t&&"[object Function]"===Object.prototype.toString.call(t)}function isInteger(t){return isNumber(t)&&t%1==0}function isNumber(t){return"number"==typeof t&&!isNaN(parseFloat(t))&&isFinite(t)}function isString(t){return"string"==typeof t||t instanceof String}function getRandomFloat(t,e){if(!isNumber(t)||!isNumber(e)||t>e)throw new Error("Utilities.getRandomFloat() -> Invalid arguments. Either 'min'/'max' are not numbers, or 'min' > 'max'.");return Math.random()*(e-t)+t}function getRandomInt(t,e){if(!isInteger(t)||!isInteger(e)||t>e)throw new Error("Utilities.getRandomInt() -> Invalid arguments. Either 'min'/'max' are not integers, or 'min > 'max'.");return Math.floor(Math.random()*(e-t+1))+t}function getSeveralRandomInts(t,e,i){if(!isInteger(t)||!isInteger(e)||!isInteger(i)||t>e||e-t<i-1)throw new Error("Utilities.getSeveralRandomInts() -> Invalid arguments.");let n=0;const r={};for(;n<i;){var o=getRandomInt(t,e);void 0===r[o]&&(r[o]=o,n++)}return Object.values(r)}function numberOfDigits(t){if(!isNumber(t))throw new Error("Utilities.numberOfDigits() -> Invalid 'theNumber' argument. Not a number.");return t<0&&(t*=-1),t.toString().replace(".","").length}function round(t,e){if(!isNumber(t)||!isInteger(e)||e<0)throw new Error("Utilities.round() -> Invalid arguments.");return Math.round(t*Math.pow(10,e))/Math.pow(10,e)}function timeToString(t){let{time:e,units:i,format:n}=t;if(!isNumber(e))throw new Error("Utilities.timeToString() -> Invalid 'time' argument. Not a number.");(!isNumber(i)||i<1)&&(i=2),"daytime"!==n&&(n="string");let r=e;const o=Math.floor(r/864e5);r%=864e5;const s=Math.floor(r/36e5);r%=36e5;const a=Math.floor(r/6e4),l=round((r%=6e4)/1e3,2);let u="";if("daytime"===n){o>0&&(u+=`${o} `),u+=`${s.toString().padStart(2,"0")}:${a.toString().padStart(2,"0")}:${l.toString().padStart(2,"0")}`}else{const t=[{name:"day",time:o},{name:"hour",time:s},{name:"minute",time:a},{name:"second",time:l}],e=function(t,e){return 1!==e&&(t+="s"),e+" "+t};for(let n=0;n<t.length&&0!==i;n++){let r=t[n];0!==r.time&&(""!==u&&(u+=" "),u+=e(r.name,r.time),i--)}""===u&&(u="0 seconds")}return u}Object.defineProperty(exports,"__esModule",{value:!0});class Timer{constructor(t){if(this.is_active=!1,this.start_value=0,this.count_down=!1,this.time_count=0,this.interval=1e3,void 0!==t&&!(t instanceof HTMLElement))throw new Error("Utilities.Timer() -> Invalid 'htmlElement' argument. Not an HTML element.");this.html_element=t,this.updateHtmlElement()}start(t){void 0===t&&(t={}),isNumber(t.startValue)||(t.startValue=0),isNumber(t.endValue)||(t.endValue=void 0),isFunction(t.onEnd)||(t.onEnd=void 0),isFunction(t.onTick)||(t.onTick=void 0),!0!==t.countDown&&(t.countDown=!1),isNumber(t.interval)||(t.interval=1e3),this.is_active&&this.stop(),this.count_down=t.countDown,this.time_count=t.startValue,this.start_value=t.startValue,this.end_value=t.endValue,this.interval=t.interval,this.end_callback=t.onEnd,this.tick_callback=t.onTick,this.updateHtmlElement(),this.resume()}resume(){if(this.is_active)return;const t=this.interval;this.is_active=!0,this.interval_f=window.setInterval(()=>{if(this.count_down?this.time_count-=t:this.time_count+=t,this.updateHtmlElement(),void 0!==this.tick_callback&&this.tick_callback(),void 0!==this.end_value){var e=!1;this.count_down?this.time_count<=this.end_value&&(e=!0):this.time_count>=this.end_value&&(e=!0),e&&(this.stop(),void 0!==this.end_callback&&this.end_callback())}},t)}stop(){this.interval_f&&(window.clearInterval(this.interval_f),this.interval_f=void 0),this.is_active=!1}reset(){this.stop(),this.time_count=this.start_value,this.updateHtmlElement()}restart(){this.reset(),this.start({startValue:this.start_value,endValue:this.end_value,onEnd:this.end_callback,onTick:this.tick_callback,countDown:this.count_down,interval:this.interval})}updateHtmlElement(){this.html_element&&(this.html_element.innerHTML=this.getTimeString())}add(t){this.time_count+=t}getTimeString(){return timeToString({time:this.time_count})}getTimeSeconds(){return this.time_count/1e3}getTimeMilliseconds(){return this.time_count}isActive(){return this.is_active}}class Timeout{constructor(){this.is_active=!1,this.id=-1}start(t,e){if(!isFunction(t)||!isNumber(e))throw new Error("Utilities.Timeout.start() -> Invalid arguments.");this.is_active&&this.clear(),this.is_active=!0,this.id=window.setTimeout(()=>{this.is_active=!1,t()},e)}clear(){window.clearTimeout(this.id),this.is_active=!1}isActive(){return this.is_active}}function shuffle(t){if(!isArray(t))throw new Error("Utilities.shuffle() -> Invalid 'array' argument. Not an array.");for(var e,i,n=t.length;0!==n;)i=Math.floor(Math.random()*n),e=t[--n],t[n]=t[i],t[i]=e;return t}function getObject(t){if(!isString(t))throw new Error("Utilities.getObject() -> Invalid 'key' argument. Not a string.");var e=localStorage.getItem(t);return e&&JSON.parse(e)}function saveObject(t,e){if(!isString(t))throw new Error("Utilities.saveObject() -> Invalid 'key' argument. Not a string.");localStorage.setItem(t,JSON.stringify(e))}function deepClone(t){return JSON.parse(JSON.stringify(t))}function createEnum(t,e){if(!isArray(t))throw new Error("Utilities.createEnum() -> Invalid 'values' argument. Needs to be an array of strings.");isNumber(e)||(e=0);for(var i={},n=t.length,r=0;r<n;r++){let n=t[r];i[e]=n,i[n]=e,e+=1}return i}function calculateAngle(t,e,i,n){if(!(isNumber(t)&&isNumber(e)&&isNumber(i)&&isNumber(n)))throw new Error("Utilities.calculateAngle() -> Invalid arguments. Needs to be a number.");var r=e-n,o=i-t;return Math.atan2(r,o)}function calculateDistance(t,e,i,n){if(!(isNumber(t)&&isNumber(e)&&isNumber(i)&&isNumber(n)))throw new Error("Utilities.calculateDistance() -> Invalid arguments. Needs to be a number.");var r=n-e,o=i-t;return Math.sqrt(Math.pow(r,2)+Math.pow(o,2))}function toDegrees(t){if(!isNumber(t))throw new Error("Utilities.toDegrees() -> Invalid 'radians' argument. Not a number.");return 180*t/Math.PI}function toRadians(t){if(!isNumber(t))throw new Error("Utilities.toRadians() -> Invalid 'degrees' argument. Not a number.");return t*Math.PI/180}function boxBoxCollision(t,e,i,n,r,o,s,a){return!(e+n<o||e>o+a||t>r+s||t+i<r)}function circleCircleCollision(t,e,i,n,r,o){var s=t-n,a=e-r;return Math.pow(s,2)+Math.pow(a,2)<=Math.pow(i+o,2)}function circlePointCollision(t,e,i,n,r){var o=t-n,s=e-r;return o*o+s*s<=i*i}function pointBoxCollision(t,e,i,n,r,o){return!(t<i||t>i+r||e<n||e>n+o)}function createDialog(t){const e=document.createElement("div"),i=document.createElement("div"),n=document.createElement("div"),r=document.createElement("div"),o=document.createElement("hr"),s=document.createElement("div"),a=document.createElement("button");n.className="dialogTitle",r.className="dialogBody",e.className="dialogOverlay",i.className="dialog",s.className="dialogButtons",a.className="dialogButton";const l=t=>{switch(t.key){case"Escape":case"Enter":u()}},u=()=>{document.removeEventListener("keyup",l),document.body.removeChild(e),document.body.removeChild(i),t.onClose()};a.innerText="Ok",a.onclick=u,r.innerHTML=t.body,n.innerHTML=t.title,s.appendChild(a),i.appendChild(n),i.appendChild(r),i.appendChild(o),i.appendChild(s),document.body.appendChild(e),document.body.appendChild(i),document.addEventListener("keyup",l)}exports.Timeout=Timeout,exports.Timer=Timer,exports.boxBoxCollision=boxBoxCollision,exports.calculateAngle=calculateAngle,exports.calculateDistance=calculateDistance,exports.circleCircleCollision=circleCircleCollision,exports.circlePointCollision=circlePointCollision,exports.createDialog=createDialog,exports.createEnum=createEnum,exports.deepClone=deepClone,exports.getObject=getObject,exports.getRandomFloat=getRandomFloat,exports.getRandomInt=getRandomInt,exports.getSeveralRandomInts=getSeveralRandomInts,exports.isArray=isArray,exports.isBoolean=isBoolean,exports.isFunction=isFunction,exports.isInteger=isInteger,exports.isNumber=isNumber,exports.isString=isString,exports.numberOfDigits=numberOfDigits,exports.pointBoxCollision=pointBoxCollision,exports.round=round,exports.saveObject=saveObject,exports.shuffle=shuffle,exports.timeToString=timeToString,exports.toDegrees=toDegrees,exports.toRadians=toRadians;
